{% extends 'base.html' %}
{%block content%}
{%load static%}
<style>
  html {
    scroll-behavior: smooth;
  }
  #myBtn {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: #8BA6B9; /* Set a background color */
    color: whitesmoke; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 18px; /* Increase font size */
  }
  
  #myBtn:hover {
    background-color: #555; /* Add a dark-grey background on hover */
  }
  @media screen and (min-width: 801px) {
    h2 {
      text-align: center;font-size:50px;
    }
  }

@media screen and (max-width: 800px) {
    h2 {
      font-size: 35px;
      text-align: center
    }
}

@media screen and (min-width: 801px) {
  h1 {
    text-align: center;font-size:100px;
  }
}

@media screen and (max-width: 800px) {
  h1 {
    font-size: 50px;
    text-align: center
  }
}

@media screen and (min-width: 801px) {
  .gmbr {
    width: 70%;
  }
}

@media screen and (max-width: 800px) {
  .gmbr {
    width: 100%;
  }
}
</style>

<div style="background:transparent" class="jumbotron jumbotron-fluid">
    <div class="container" style="text-align: center;">
      <h2>Total Donasi </h2>
      <h1>Rp{{ jumlah }}</h1>
        <a href="{% url 'donasi:donasi' %}" ><img class="gmbr" src="{% static 'Group 1 (1).png' %}" alt="Donasi disini!"></a>
  </div> 
</div>

{% for i in total %}
<table class="table table-borderless" style="max-width: 500px;" align="center">
  <tbody>
    <tr>
      <td><span style="padding-right: 100px;font-size: 50px;font-family: Poppins;font-weight: bold;color: #8BA6B9;">{{ i.nama_donatur }}</span> <br> <span style="font-size: 20px;font-family: Poppins;font-style: normal;font-weight: 600;">Rp{{ i.nominal_donatur }}</span></td>
      <td><span style="padding-right: 100px;font-size: 50px;font-family: Poppins;font-weight: bold;">{{ i.kota_donatur }}</span> <br> </td>
      <td><span style="padding-left: 100px;font-family: Poppins;font-style: normal;font-weight: 600;font-size: 28px;">{{ i.pesan_donatur }}</span></td>
    </tr>
  </tbody>
</table>
{% endfor %}
<button onclick="topFunction()" id="myBtn" title="Go to top">Home</button>
<script>
  //Get the button:
mybutton = document.getElementById("myBtn");

// When the user scrolls down 20px from the top of the document, show the button
window.onscroll = function() {scrollFunction()};

function scrollFunction() {
  if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
    mybutton.style.display = "block";
  } else {
    mybutton.style.display = "none";
  }
}

// When the user clicks on the button, scroll to the top of the document
function topFunction() {
  document.body.scrollTop = 0; // For Safari
  document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera
}
</script>
{%endblock%}